/*
 *
 * Classes
 *
 *
*/
// Bootstrap
.lead{
	line-height: 1.3;
	margin-top: 1em;
	padding-left: 1em;
	border-left: 2px solid $brand-primary;
}

// lo coloco aca y no en html porque acumula carga de class
blockquote{
	@extend .lead;
}

.table-responsive{
	@media (max-width: $screen-sm-min){
		border: none;
	}
}

.page-header{
	border-bottom: none;
    margin: 1.5rem 0 .75rem;
	.ds-divider{
		display: block;
		height: .375rem;
		width: 15%;
		background-color: $white-01;
		margin-top: 1.5rem;
	}
}

// Propias

#content-wrapper{
	.ds-bgcontent{
        >h1:first-of-type{
            margin-top:0;
            font-weight: 400;
            font-size: $font-size-h1;
        }
		h1,h2,h3,h4,h5{
			color: $text-color;
		}
		h1{
			font-size: $font-size-h2;
		}
		h2{
			font-size: $font-size-h3;
		}
		h3{
			font-size: $font-size-h4;
		}
		h4{
			font-size: $font-size-h5;
		}
		h5{
			font-size: $font-size-h6;
		}
	}
}

.ds-section-cmn{
	a{
		display: block;
		position: relative;
		color: $text-color;
		padding: 1.5rem 3rem;
		border: 2px solid $brand-primary;
		border-right: 30px solid $brand-primary;
		&:hover, &:active, &:focus{
			background-color: lighten($brand-primary, 8%);
			color: $white;
			text-decoration: none;
		}
		&::after{
    		font: normal $font-size-small $icon-font-family;
    		content: '\e092';
    		position: absolute;
    		top:15px;
    		right: -20px;
    		color: $white;
    	}
    div.media{
    	.glyphicon{
    		font-size: 2em;
    		padding-right: .5em;
    	}
    }
	}
	span{
		display: block;
		margin-bottom: .375rem;
		font-size: $font-size-h4;
		font-weight: $headings-font-weight;
		color: inherit;
	}
	p{
		margin-bottom: 0;
		font-size: $font-size-small;
	}
	+ .ds-section-cmn{
		margin-top: 1.5rem;
	}
}

.ds-section{
	a{
		display: block;
		position: relative;
		color: $white;
		padding: 6rem;
		background-color: $brand-primary;
		margin-top: .75rem;
		&:hover, &:active, &:focus{
			background-color: lighten($brand-primary,8%);
			text-decoration: none;
		}
	}
	h2, p{
		margin:0;
	}
	h2{
		font-size: $font-size-h3;
		margin-bottom: .75rem;
	}
	span.glyphicon{
		font-size: $font-size-enormous;
		margin-right: 2.5rem;
	}
}

// hide then show with jquery when data is loaded
.ET-Grid{
    display:none;
}

.ET-description{
    padding-bottom: 15px;
    position: relative;
}

// Search
.ET-search-form{
	margin-bottom: .375rem;
	.ET-loader-glyph{
		position: absolute;
		top: 12px;
		left: 10px;
		z-index: 999;
		display: inline-block;
	}
	.ET-search-form-inputGroup{
		@extend .input-group;
		@extend .input-group-lg;
		input{
			@extend .form-control;
			border-top-left-radius: $border-radius-xlarge !important;
			border-bottom-left-radius: $border-radius-xlarge !important;
			border: 2px solid $brand-primary;
            padding-left: 35px;
		}
		.ET-search-form-buttonGroup{
			@extend .input-group-btn;
			.ET-search-form-button{
				@extend .btn;
				@extend .btn-primary;
				border-top-right-radius: $border-radius-xlarge;
				border-bottom-right-radius: $border-radius-xlarge;
				border: 2px solid $brand-primary;
			}
		}
	}
}

// Breadcrumb
.ET-crumbs{
	padding: 0;
	.ds-load{
		display: block;
		padding: 19px;
	}
	ol{
		@extend .breadcrumb;
		padding-left: 0;
		margin-bottom: .75rem;
		height: 3rem;
		overflow: hidden;
		li{
			font-size: 1.4rem;
		}
	}
}

// Table
.ET-filegrid-table{
	@extend .table;
	@extend .table-bordered;
	@extend .table-hover;
	thead{
		background-color: $link-color;
		color: $white;
		tr{
			&:hover, &:active, &:focus{
				cursor: pointer;
			}
		}
	}
    tr :not(:first-child){
        width: 13%;
    }
        .glyphicon{
            color: $brand-primary;
            padding-right: 5px;
        }
}


.page-header{
    h1,img{
        display: inline-block;
    }
    img{
        vertical-align: inherit;
    }
    h1{
        margin: 0;
    }
}


// Button more Table
#ETGrid-nextPageOption{
	button{
		@extend .btn;
		@extend .btn-primary;
	}
    //.glyphicon{
    //    color: $gray-lighter;
	//	font-size: $font-size-large;
	//	color: $gray-lighter;
    //    width: 20px;
	//}
}
